// w_attr.h - declarations for useful Windows attributes
// Copyright (c) 1994 by Ron Burk

#ifndef W_ATTR_H
#define W_ATTR_H

#if !(defined(_INC_WINDOWS) || defined(__WINDOWS_H))
    #include <windows.h>
#endif

#if !defined(WUIOBJDB_H)
    #include "wuiobjdb.h"
#endif


//  TWuiWindows

class   TWuiAttributeColor : public TWuiLongProperty
    {
public:
    TWuiAttributeColor(const TWuiName ObjectName);
    virtual AWuiObject  *New(const TWuiName Name);
    virtual TWuiName    ClassName() const;
    virtual TWuiName    ParentClassName() const;
    virtual int         IsA(const TWuiName Class,
                             const TWuiName Method=(char *)0);
    virtual long        Set(TWuiPath Path, TWuiArgs *Args,
                                         const char *Buffer);
    static AWuiObject *ClassConstructor(const TWuiName Name);
    };

static TWuiRegister RegisterTWuiAttributeColor(
    "TAttributeColor", TWuiAttributeColor::ClassConstructor);

#endif

